package eu.jonahbauer.wizard.client.libgdx.actors.game;

import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.TextureRegion;
import com.badlogic.gdx.scenes.scene2d.Actor;
import eu.jonahbauer.wizard.client.libgdx.GameAtlas;
import eu.jonahbauer.wizard.common.model.Card;

public class TrumpCardActor extends Actor {
    private final Card trumpCard;
    private final TextureRegion texture;

    public TrumpCardActor(Card trumpCard, TextureAtlas atlas) {
        //TODO Texture zur Karte bestimmen
        this.trumpCard = trumpCard;
        this.texture = atlas.findRegion(GameAtlas.CARDS_RED);

        setWidth(200);
        setHeight(200);
    }

    @Override
    public void draw(Batch batch, float parentAlpha) {
        batch.draw(texture, getX(), getY(), getWidth(), getHeight());
    }
}
